GuidoApp check_db "CHECK DATABASE CONNECTED"
$check_db setParam "databasesession" "GeologyDatabase"
set result [$check_db invoke]
$check_db destroy
if {$result == "0"} {
GuidoApp select "SELECT HOLE"
GuidoApp composite "DELETE COMPOSITE"
set hole_id "-"
while {$hole_id > ""} {
$select setParam prompt "DB_SELECT_COMPOSITE"
$select setParam report "off"
$select setParam marker "off"
$select setParam single_click "true"
set result [$select invoke]
set buffer [ GuidoExecServer GetSelectedHoleId {} ]
set hole_id [ GuidoGetParamBufferValue $buffer hole_id ]
set depth [ GuidoGetParamBufferValue $buffer depth ]
if {$hole_id > ""} {
$composite setParam hole_id $hole_id
$composite setParam depth $depth
$composite invoke
}
}
$select destroy
$composite destroy
}
